import { h } from "@stencil/core";
import { DealerCard } from "./dealer-card";
import { VehicleList } from "./vehicle-list";
const DealerView = props => {
    const { dealer } = props;
    const { vehicles } = dealer || { vehicles: [] };
    const list = vehicles;
    if (!dealer)
        return '';
    return (h("div", { class: "flex flex-col" }, h(DealerCard, { value: dealer }), h(VehicleList, { list: list })));
};
export { DealerView };
export default DealerView;
