import { h } from "@stencil/core";
import { VehicleCard } from "./vehicle-card";
const VehicleList = props => {
    const { list } = props;
    const count = list.length;
    if (count === 0)
        return '';
    return (h("div", { class: "flex flex-col" }, count ? list.map(vehicle => h(VehicleCard, { value: vehicle })) : ''));
};
export { VehicleList };
export default VehicleList;
